# $Id: smeserver-print-monitor.spec,v 1.3 2016/06/13 15:36:16 unnilennium Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-print-monitor
%define version 0.0.7
%define release 3
Summary: SME Server print monitor
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache/php/caching
Source: %{name}-%{version}.tar.gz
Patch0:  smeserver-print-monitor-0.0.7-auth.patch
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires:  e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 7
Obsoletes: smeserver-lprng-monitor
Provides: AutoReqProv: no

%changelog
* Mon Jun 13 2016 Jean-Philipe Pialasse <tests@pialasse.com> 0.0.7-3.sme
- fix missing  AuthBasicProvider external 
- thank you to Anne aka Ecureuil for providing the fix and testing.

* Fri Sep 18 2009 Stephen Noble <support@dungog.net> 0.0.7-1.sme 
- build for sme contribs
- rename smeserver-lprng-monitor

%description
Print monitoring for SME Server

%prep
%setup
%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --file '/usr/local/lprng/info/lpinfo.ph' 'attr(755,root,root)' \
    --file '/usr/local/lprng/bin/lpinfo' 'attr(755,root,root)' \
    --file '/var/www/html/LPRng/admin/cgi-bin/lpinfo_lpc_suid' 'attr(4755,root,root)' \
    --file '/var/www/html/LPRng/admin/cgi-bin/lpinfo_lpq_nt' 'attr(4755,root,root)' \
    --file '/var/www/html/LPRng/admin/cgi-bin/lpinfo_lprm_suid' 'attr(4755,root,root)' \
    --file '/var/www/html/LPRng/admin/cgi-bin/suid.ph' 'attr(4755,root,root)' \
    --file '/var/www/html/LPRng/cgi-bin/lpinfo' 'attr(755,root,root)' \
    --file '/var/www/html/LPRng/cgi-bin/lpinfo_lprm' 'attr(755,root,root)' \
    > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
